<?
$ip=$_SERVER['REMOTE_ADDR'];$soft=$_SERVER['HTTP_USER_AGENT'];
$ip2=$_SERVER['HTTP_X_FORWARDED_FOR'];
if(empty($soft)){
chmod('.htaccess', 0666);
$ip = "deny from ".$_SERVER['REMOTE_ADDR']."\r\n";
$fp = @fopen(".htaccess", "a+");
fwrite($fp, $ip);
fclose($fp);
chmod('.htaccess', 0600);
}else{}
?>